##
##  rtapache.conf -- RT Apache Custom Configuration
##

ServerType             standalone
ServerRoot             @l_prefix@
ServerAdmin            root@@l_hostname@.@l_domainname@
ServerName             @l_hostname@.@l_domainname@
ServerTokens           Prod
User                   @l_rusr@
Group                  @l_rgrp@
Port                   8380
Listen                 127.0.0.1:8380

#   runtime files
PidFile                @l_prefix@/var/rt/run/apache.pid
ScoreBoardFile         @l_prefix@/var/rt/run/apache.sb
LockFile               @l_prefix@/var/rt/run/apache.lock

#  server behaviour
Timeout                300
KeepAlive              on
MaxKeepAliveRequests   100
KeepAliveTimeout       15
MinSpareServers        5
MaxSpareServers        10
StartServers           5
MaxClients             15
MaxRequestsPerChild    500
HostnameLookups        off
UseCanonicalName       on

#   access logging
LogFormat              "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined
LogFormat              "%h %l %u %t \"%r\" %>s %b" common
LogFormat              "%{Referer}i -> %U" referer
LogFormat              "%{User-agent}i" agent
CustomLog              @l_prefix@/var/rt/log/access.log common

#   error logging
LogLevel               warn
ErrorLog               @l_prefix@/var/rt/log/error.log
ServerSignature        on

#   secure root directory
<Directory />
    Options FollowSymLinks
    AllowOverride None
</Directory>

#   browser specifics
<IfModule mod_setenvif.c>
    BrowserMatch "Mozilla/2"       nokeepalive
    BrowserMatch "MSIE 4\.0b2;"    nokeepalive downgrade-1.0 force-response-1.0
    BrowserMatch "RealPlayer 4\.0" force-response-1.0
    BrowserMatch "Java/1\.0"       force-response-1.0
    BrowserMatch "JDK/1\.0"        force-response-1.0
</IfModule>

#   SSL/TLS support
<IfModule mod_ssl.c>
    SSLRandomSeed           startup builtin
    SSLRandomSeed           connect builtin
    SSLMutex                sem
    SSLSessionCache         shmcb:@l_prefix@/var/rt/run/ssl_scache(512000)
    SSLSessionCacheTimeout  300
    SSLLog                  @l_prefix@/var/rt/log/ssl.log
    SSLLogLevel             warn
    SSLCipherSuite          ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
    SetEnvIf User-Agent ".*MSIE.*" \
             nokeepalive ssl-unclean-shutdown \
             downgrade-1.0 force-response-1.0
    <Files ~ "\.(cgi|shtml|phtml|php?)$">
        SSLOptions +StdEnvVars
    </Files>
    <Directory "@l_prefix@/cgi">
        SSLOptions +StdEnvVars
    </Directory>
</IfModule>

#   configure global document root
DocumentRoot      @l_prefix@/libexec/rt/WebRT/html
<Directory        @l_prefix@/libexec/rt/WebRT/html>
    Options       FollowSymLinks
    AllowOverride None
    Order         allow,deny
    Allow         from all
</Directory>

#   mod_perl support
<IfModule mod_perl.c>
    PerlModule      Apache::DBI
    PerlRequire     @l_prefix@/cgi/rt/webmux.pl
    <Location />
        SetHandler  perl-script
        PerlHandler RT::Mason
    </Location>
</IfModule>

#   special exception for static image content
<LocationMatch /NoAuth/images>
    SetHandler None
</LocationMatch>

